<?php

namespace ModulesAbstract\FileExplorer;

abstract class View_RenameDirectory extends \App\Mvc\View_Popup_FormAbstract
{

	/**
	 * The sbstract lang array.
	 * @var array
	 */
	protected $absLang;

	/**
	 * The class name which generates the form for the current action.
	 * @var String
	 */
	protected $formClassName='View_Utils_FormDirectory';


	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::loadTranslations()
	 */
	protected function loadTranslations()
	{
		parent::loadTranslations();
		$this->absLang = \App\Loader_Lang::getInstance()->loadAppFolder('_customLoad/modulesAbstract/fileExplorer')->getSection('ModulesAbstract/FileExplorer');
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::assignSmartyDefaultVars()
	 */
	protected function assignSmartyDefaultVars($smarty)
	{
		$this->setPageTitle($this->absLang[$this->controller->getAction()]['pageTitle']);
		parent::assignSmartyDefaultVars($smarty);
	}

}